nu.xom.xinclude

## Class BadHrefAttributeException

- Object
- - Throwable
  - - Exception
    - - nu.xom.xinclude.XIncludeException
      - - nu.xom.xinclude.BadHrefAttributeException

- All Implemented Interfaces:
    Serializable

      public class BadHrefAttributeException
      extends XIncludeException

  Indicates that an `href` attribute contains an illegal value, such as a URI with a fragment identifier, or a syntactically incorrect IRI.

  Version:
    1.1b3
  Author:
    Elliotte Rusty Harold
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BadHrefAttributeException(String message)` Constructs a `BadHrefAttributeException` with the specified detail message.
    `BadHrefAttributeException(String message, String uri)` Creates a new `BadHrefAttributeException` with a detail message and the URI of the document that caused the exception.

  - ### Method Summary

    - ### Methods inherited from class nu.xom.xinclude.XIncludeException

      `getCause, getURI, initCause`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BadHrefAttributeException

          public BadHrefAttributeException(String message)

      Constructs a `BadHrefAttributeException` with the specified detail message.

      Parameters:
        `message` - a string indicating the specific problem

    - #### BadHrefAttributeException

          public BadHrefAttributeException(String message,
                                           String uri)

      Creates a new `BadHrefAttributeException` with a detail message and the URI of the document that caused the exception.

      Parameters:
        `message` - a string indicating the specific problem
        `uri` - the URI of the document that caused this exception

Copyright 2002-2026 Elliotte Rusty Harold
elharo@ibiblio.org